# Method: operations.get

- [HTTP request](https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations/get#body.request_body)
- [Response body](https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations/get#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations/get#body.aspect)

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

### HTTP request

`GET https://videointelligence.googleapis.com/v1/operations/{name}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/video-intelligence/docs/reference/rest/v1/operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).